Bug 199795 - Import lazy loading WPT tests
Summary: Import lazy loading WPT tests
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Images (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Rob Buis
URL:
Keywords: InRadar
Depends on:
Blocks: 196698
  Show dependency treegraph
 
Reported: 2019-07-15 02:38 PDT by Rob Buis
Modified: 2019-08-08 01:21 PDT (History)
5 users (show)

See Also:


Attachments
Patch (32.52 KB, patch)
2019-07-15 02:45 PDT, Rob Buis
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews102 for mac-highsierra (3.17 MB, application/zip)
2019-07-15 03:52 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews115 for mac-highsierra (3.00 MB, application/zip)
2019-07-15 04:34 PDT, Build Bot
no flags Details
Patch (32.55 KB, patch)
2019-07-18 03:27 PDT, Rob Buis
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews102 for mac-highsierra (3.36 MB, application/zip)
2019-07-18 04:07 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews107 for mac-highsierra-wk2 (2.74 MB, application/zip)
2019-07-18 04:43 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews112 for mac-highsierra (2.88 MB, application/zip)
2019-07-18 05:14 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews125 for ios-simulator-wk2 (2.73 MB, application/zip)
2019-07-18 05:28 PDT, Build Bot
no flags Details
Patch (33.39 KB, patch)
2019-07-29 05:12 PDT, Rob Buis
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews106 for mac-highsierra-wk2 (2.70 MB, application/zip)
2019-07-29 06:28 PDT, Build Bot
no flags Details
Patch (35.00 KB, patch)
2019-07-29 07:25 PDT, Rob Buis
no flags Details | Formatted Diff | Diff
Patch (35.00 KB, patch)
2019-07-29 10:04 PDT, Rob Buis
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rob Buis 2019-07-15 02:38:36 PDT
Add lazy loading tests
Comment 1 Rob Buis 2019-07-15 02:45:54 PDT
Created attachment 374109 [details]
Patch
Comment 2 Build Bot 2019-07-15 03:52:21 PDT
Comment on attachment 374109 [details]
Patch

Attachment 374109 [details] did not pass mac-ews (mac):
Output: https://webkit-queues.webkit.org/results/12741945

New failing tests:
imported/w3c/web-platform-tests/loading/lazyload/iframe-loading-eager.tentative.html
Comment 3 Build Bot 2019-07-15 03:52:22 PDT
Created attachment 374110 [details]
Archive of layout-test-results from ews102 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews102  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 4 Build Bot 2019-07-15 04:34:33 PDT
Comment on attachment 374109 [details]
Patch

Attachment 374109 [details] did not pass mac-debug-ews (mac):
Output: https://webkit-queues.webkit.org/results/12741994

New failing tests:
imported/w3c/web-platform-tests/loading/lazyload/iframe-loading-eager.tentative.html
Comment 5 Build Bot 2019-07-15 04:34:35 PDT
Created attachment 374111 [details]
Archive of layout-test-results from ews115 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews115  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 6 Rob Buis 2019-07-18 03:27:28 PDT
Created attachment 374370 [details]
Patch
Comment 7 Build Bot 2019-07-18 04:07:54 PDT
Comment on attachment 374370 [details]
Patch

Attachment 374370 [details] did not pass mac-ews (mac):
Output: https://webkit-queues.webkit.org/results/12765101

New failing tests:
webarchive/loading/javascript-url-iframe-crash.html
webarchive/loading/video-in-webarchive.html
webarchive/loading/mainresource-null-mimetype-crash.html
webarchive/loading/missing-data.html
webarchive/loading/object.html
webarchive/loading/test-loading-top-archive.html
webarchive/loading/test-loading-archive.html
webarchive/loading/test-loading-archive-subresource.html
Comment 8 Build Bot 2019-07-18 04:07:56 PDT
Created attachment 374373 [details]
Archive of layout-test-results from ews102 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews102  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 9 Build Bot 2019-07-18 04:43:00 PDT
Comment on attachment 374370 [details]
Patch

Attachment 374370 [details] did not pass mac-wk2-ews (mac-wk2):
Output: https://webkit-queues.webkit.org/results/12765293

New failing tests:
imported/w3c/web-platform-tests/loading/lazyload/image-loading-eager.tentative.html
imported/w3c/web-platform-tests/loading/lazyload/iframe-loading-eager.tentative.html
Comment 10 Build Bot 2019-07-18 04:43:01 PDT
Created attachment 374375 [details]
Archive of layout-test-results from ews107 for mac-highsierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews107  Port: mac-highsierra-wk2  Platform: Mac OS X 10.13.6
Comment 11 Build Bot 2019-07-18 05:14:10 PDT
Comment on attachment 374370 [details]
Patch

Attachment 374370 [details] did not pass mac-debug-ews (mac):
Output: https://webkit-queues.webkit.org/results/12765326

New failing tests:
storage/indexeddb/pending-version-change-on-exit-private.html
webarchive/loading/javascript-url-iframe-crash.html
webarchive/loading/video-in-webarchive.html
webarchive/loading/mainresource-null-mimetype-crash.html
webarchive/loading/missing-data.html
webarchive/loading/object.html
webarchive/loading/test-loading-top-archive.html
webarchive/loading/test-loading-archive.html
webarchive/loading/test-loading-archive-subresource.html
Comment 12 Build Bot 2019-07-18 05:14:11 PDT
Created attachment 374377 [details]
Archive of layout-test-results from ews112 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews112  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 13 Build Bot 2019-07-18 05:28:36 PDT
Comment on attachment 374370 [details]
Patch

Attachment 374370 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: https://webkit-queues.webkit.org/results/12765360

New failing tests:
imported/w3c/web-platform-tests/loading/lazyload/image-loading-eager.tentative.html
imported/w3c/web-platform-tests/loading/lazyload/iframe-loading-eager.tentative.html
Comment 14 Build Bot 2019-07-18 05:28:39 PDT
Created attachment 374378 [details]
Archive of layout-test-results from ews125 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews125  Port: ios-simulator-wk2  Platform: Mac OS X 10.14.5
Comment 15 Rob Buis 2019-07-29 05:12:50 PDT
Created attachment 375070 [details]
Patch
Comment 16 Build Bot 2019-07-29 06:28:40 PDT
Comment on attachment 375070 [details]
Patch

Attachment 375070 [details] did not pass mac-wk2-ews (mac-wk2):
Output: https://webkit-queues.webkit.org/results/12829406

New failing tests:
http/wpt/loading/redirect-headers.html
Comment 17 Build Bot 2019-07-29 06:28:41 PDT
Created attachment 375072 [details]
Archive of layout-test-results from ews106 for mac-highsierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews106  Port: mac-highsierra-wk2  Platform: Mac OS X 10.13.6
Comment 18 Rob Buis 2019-07-29 07:25:35 PDT
Created attachment 375073 [details]
Patch
Comment 19 Rob Buis 2019-07-29 10:04:45 PDT
Created attachment 375082 [details]
Patch
Comment 20 WebKit Commit Bot 2019-08-08 01:20:48 PDT
Comment on attachment 375082 [details]
Patch

Clearing flags on attachment: 375082

Committed r248404: <https://trac.webkit.org/changeset/248404>
Comment 21 WebKit Commit Bot 2019-08-08 01:20:49 PDT
All reviewed patches have been landed.  Closing bug.
Comment 22 Radar WebKit Bug Importer 2019-08-08 01:21:21 PDT
<rdar://problem/54070324>